Как заставить composer использовать fork-версию пакета?

Темы, не касающиеся фреймворка, но относящиеся к программированию в целом.
malsa
Сообщения: 3
Зарегистрирован: 2017.10.19, 09:31

Re: Как заставить composer использовать fork-версию пакета?

Сообщение malsa » 2019.01.27, 04:21

Немного поправлю a4vi2r
Использовать стоит скорее что-то такое

Код: Выделить всё

"repositories": [
        {
            "type": "package",
            "package": {
                "name": "dropbox/dropbox-sdk",
                "version": "dev-master",
                "source": {
                    "url": "https://github.com/demisang/dropbox-sdk-php.git",
                    "type": "git",
                    "reference": "master"
                },
            }
        }
],
"require": [
        "dropbox/dropbox-sdk": "dev-master",
],
"autoload": {
       "psr-0": {
       		"Dropbox": "vendor/dropbox/dropbox-sdk/lib/"
       }
}

Ответить